<?php if ( ! function_exists( 'matrix_entry_meta' ) ) :
/**
 * Shows meta information of post.
 */
function matrix_entry_meta() {
   if ( 'post' == get_post_type() ) :
	  echo '<ul class="post-meta">';
	  ?>

	  <li><?php _e('By : ','matrix'); ?> <span class="by-author author vcard"><a class="url fn n" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author(); ?></a></span></li>

	  <?php
	  $time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time>';
	  if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
		 $time_string .= '&nbsp;<time class="updated" datetime="%3$s">%4$s</time>';
	  }
	  $time_string = sprintf( $time_string,
		 esc_attr( get_the_date( 'c' ) ),
		 esc_html( get_the_date() ),
		 esc_attr( get_the_modified_date( 'c' ) ),
		 esc_html( get_the_modified_date() )
	  );
	  printf( __( '<li><a href="%1$s" title="%2$s" rel="bookmark">%3$s</a></li>', 'matrix' ),
		 esc_url( get_permalink() ),
		 esc_attr( get_the_time() ),
		 $time_string
	  ); ?>

	  <?php if( has_category() ) { ?>
		<li> <?php the_category(', '); ?></li>
	  <?php } ?>

	  <?php if ( comments_open() ) { ?>
		<li><?php comments_popup_link( __( 'No Comments', 'matrix' ), __( '1 Comment', 'matrix' ), __( '% Comments', 'matrix' ), '', __( 'Comments Off', 'matrix' ) ); ?></li>
	  <?php } ?>

	  <?php edit_post_link( __( 'Edit', 'matrix' ), '<span class="edit-link">', '</span>' ); ?>

	  <?php
	  echo '</ul>';
   endif;
}
endif;

add_filter( 'get_product_search_form' , 'matrix_custom_product_searchform' );
function matrix_custom_product_searchform( $form ) {
	$form = '<form action="'.esc_url(home_url('/')).'" autocomplete="off" role="search" method="get" class="searchform">
		<input type="search" value="'.get_search_query().'" name="s" id="s" class="form-control search-field" placeholder="'.esc_attr__('Search Product...', 'matrix').'"/>
		<input type="hidden" name="post_type" value="product">	
		<button class="search-btn" type="submit"><i class="fa fa-search"></i></button>
	</form>';
	return $form;
	
}
/* woocomerce */
remove_action('woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
remove_action('woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);
add_action('woocommerce_before_main_content', 'matrix_theme_wrapper_start', 10);
add_action('woocommerce_after_main_content', 'matrix_theme_wrapper_end', 10);
function matrix_theme_wrapper_start()
{ ?>
    <div class="page-banner">
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <?php if(!is_product()): ?>
                    <h2><?php woocommerce_page_title(); ?></h2>
                <?php else: 
                    woocommerce_template_single_title();
                endif;  ?>
            </div>
            <div class="col-md-6">
                <!-- BreadCrumb -->
                <?php if (function_exists('matrix_breadcrumbs')) matrix_breadcrumbs(); ?>
                <!-- BreadCrumb -->
            </div>
        </div>
    </div>
</div>
    <div id="content">
			<div class="container">
				<div class="col-md-9 page-content">
<?php }
function matrix_theme_wrapper_end()
{
    ?>
    </div>
	<?php get_sidebar(); ?>
    </div>
    </div>
<?php
}
/**
 * matrix_hide_page_title
 *
 * Removes the "shop" title on the main shop page
 */
function matrix_hide_page_title() {
    return false;
}
add_filter( 'woocommerce_show_page_title' , 'matrix_hide_page_title' );
/**
 * Removes breadcrumbs
 */
remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20, 0);
/* Breadcrumbs  */
function matrix_breadcrumbs()
{
    /* === OPTIONS === */
    $text['home']     = __('Home','matrix'); // text for the 'Home' link
    $text['category'] = __('Category "%s"','matrix'); // text for a category page
    $text['search']   = __('Search Results for "%s" Query','matrix'); // text for a search results page
    $text['tag']      = __('Posts Tagged "%s"','matrix'); // text for a tag page
    $text['author']   = __('Posted by %s','matrix'); // text for an author page
    $text['404']      = __('Error 404','matrix'); // text for the 404 page
    $text['page']     = __('Page %s','matrix'); // text 'Page N'
    $text['cpage']    = __('Comment Page %s','matrix'); // text 'Comment Page N'
    $wrap_before    = '<div class="breadcrumbs text-right text-center-xs" itemscope itemtype="http://schema.org/BreadcrumbList">'; // the opening wrapper tag
    $wrap_after     = '</div><!-- .breadcrumbs -->'; // the closing wrapper tag
    $sep            = '<span class="breadcrumbs__separator">&nbsp;&nbsp;›&nbsp;&nbsp;</span>'; // separator between crumbs
    $before         = '<span class="breadcrumbs__current">'; // tag before the current crumb
    $after          = '</span>'; // tag after the current crumb
    $show_on_home   = 0; // 1 - show breadcrumbs on the homepage, 0 - don't show
    $show_home_link = 1; // 1 - show the 'Home' link, 0 - don't show
    $show_current   = 1; // 1 - show current page title, 0 - don't show
    $show_last_sep  = 1; // 1 - show last separator, when current page title is not displayed, 0 - don't show
    /* === END OF OPTIONS === */
    global $post;
    $home_url       = home_url('/');
    $link           = '<span itemprop="itemListElement" itemscope itemtype="http://schema.org/ListItem">';
    $link          .= '<a class="breadcrumbs__link" href="%1$s" itemprop="item"><span itemprop="name">%2$s</span></a>';
    $link          .= '<meta itemprop="position" content="%3$s" />';
    $link          .= '</span>';
    $parent_id      = ( $post ) ? $post->post_parent : '';
    $home_link      = sprintf( $link, $home_url, $text['home'], 1 );
    if ( is_home() || is_front_page() ) {
        if ( $show_on_home ) echo $wrap_before . $home_link . $wrap_after;
    } else {
        $position = 0;
        echo $wrap_before;
        if ( $show_home_link ) {
            $position += 1;
            echo $home_link;
        }
        if ( is_category() ) {
            $parents = get_ancestors( get_query_var('cat'), 'category' );
            foreach ( array_reverse( $parents ) as $cat ) {
                $position += 1;
                if ( $position > 1 ) echo $sep;
                echo sprintf( $link, get_category_link( $cat ), get_cat_name( $cat ), $position );
            }
            if ( get_query_var( 'paged' ) ) {
                $position += 1;
                $cat = get_query_var('cat');
                echo $sep . sprintf( $link, get_category_link( $cat ), get_cat_name( $cat ), $position );
                echo $sep . $before . sprintf( $text['page'], get_query_var( 'paged' ) ) . $after;
            } else {
                if ( $show_current ) {
                    if ( $position >= 1 ) echo $sep;
                    echo $before . sprintf( $text['category'], single_cat_title( '', false ) ) . $after;
                } elseif ( $show_last_sep ) echo $sep;
            }
        } elseif ( is_search() ) {
            if ( get_query_var( 'paged' ) ) {
                $position += 1;
                if ( $show_home_link ) echo $sep;
                echo sprintf( $link, $home_url . '?s=' . get_search_query(), sprintf( $text['search'], get_search_query() ), $position );
                echo $sep . $before . sprintf( $text['page'], get_query_var( 'paged' ) ) . $after;
            } else {
                if ( $show_current ) {
                    if ( $position >= 1 ) echo $sep;
                    echo $before . sprintf( $text['search'], get_search_query() ) . $after;
                } elseif ( $show_last_sep ) echo $sep;
            }
        } elseif ( is_year() ) {
            if ( $show_home_link && $show_current ) echo $sep;
            if ( $show_current ) echo $before . get_the_time('Y') . $after;
            elseif ( $show_home_link && $show_last_sep ) echo $sep;
        } elseif ( is_month() ) {
            if ( $show_home_link ) echo $sep;
            $position += 1;
            echo sprintf( $link, get_year_link( get_the_time('Y') ), get_the_time('Y'), $position );
            if ( $show_current ) echo $sep . $before . get_the_time('F') . $after;
            elseif ( $show_last_sep ) echo $sep;
        } elseif ( is_day() ) {
            if ( $show_home_link ) echo $sep;
            $position += 1;
            echo sprintf( $link, get_year_link( get_the_time('Y') ), get_the_time('Y'), $position ) . $sep;
            $position += 1;
            echo sprintf( $link, get_month_link( get_the_time('Y'), get_the_time('m') ), get_the_time('F'), $position );
            if ( $show_current ) echo $sep . $before . get_the_time('d') . $after;
            elseif ( $show_last_sep ) echo $sep;
        } elseif ( is_single() && ! is_attachment() ) {
            if ( get_post_type() != 'post' ) {
                $position += 1;
                $post_type = get_post_type_object( get_post_type() );
                if ( $position > 1 ) echo $sep;
                echo sprintf( $link, get_post_type_archive_link( $post_type->name ), $post_type->labels->name, $position );
                if ( $show_current ) echo $sep . $before . get_the_title() . $after;
                elseif ( $show_last_sep ) echo $sep;
            } else {
                $cat = get_the_category(); $catID = $cat[0]->cat_ID;
                $parents = get_ancestors( $catID, 'category' );
                $parents = array_reverse( $parents );
                $parents[] = $catID;
                foreach ( $parents as $cat ) {
                    $position += 1;
                    if ( $position > 1 ) echo $sep;
                    echo sprintf( $link, get_category_link( $cat ), get_cat_name( $cat ), $position );
                }
                if ( get_query_var( 'cpage' ) ) {
                    $position += 1;
                    echo $sep . sprintf( $link, get_permalink(), get_the_title(), $position );
                    echo $sep . $before . sprintf( $text['cpage'], get_query_var( 'cpage' ) ) . $after;
                } else {
                    if ( $show_current ) echo $sep . $before . get_the_title() . $after;
                    elseif ( $show_last_sep ) echo $sep;
                }
            }
        } elseif ( is_post_type_archive() ) {
            $post_type = get_post_type_object( get_post_type() );
            if ( get_query_var( 'paged' ) ) {
                $position += 1;
                if ( $position > 1 ) echo $sep;
                echo sprintf( $link, get_post_type_archive_link( $post_type->name ), $post_type->label, $position );
                echo $sep . $before . sprintf( $text['page'], get_query_var( 'paged' ) ) . $after;
            } else {
                if ( $show_home_link && $show_current ) echo $sep;
                if ( $show_current ) echo $before . $post_type->label . $after;
                elseif ( $show_home_link && $show_last_sep ) echo $sep;
            }
        } elseif ( is_attachment() ) {
            $parent = get_post( $parent_id );
            $cat = get_the_category( $parent->ID ); 
            if($cat){
	            $catID = $cat[0]->cat_ID;
	            $parents = get_ancestors( $catID, 'category' );
	            $parents = array_reverse( $parents );
	            $parents[] = $catID;
	            foreach ( $parents as $cat ) {
	                $position += 1;
	                if ( $position > 1 ) echo $sep;
	                echo sprintf( $link, get_category_link( $cat ), get_cat_name( $cat ), $position );
	            }
	            $position += 1;
	        }
            echo $sep . sprintf( $link, get_permalink( $parent ), $parent->post_title, $position );
            if ( $show_current ) echo $sep . $before . get_the_title() . $after;
            elseif ( $show_last_sep ) echo $sep;
        } elseif ( is_page() && ! $parent_id ) {
            if ( $show_home_link && $show_current ) echo $sep;
            if ( $show_current ) echo $before . get_the_title() . $after;
            elseif ( $show_home_link && $show_last_sep ) echo $sep;
        } elseif ( is_page() && $parent_id ) {
            $parents = get_post_ancestors( get_the_ID() );
            foreach ( array_reverse( $parents ) as $pageID ) {
                $position += 1;
                if ( $position > 1 ) echo $sep;
                echo sprintf( $link, get_page_link( $pageID ), get_the_title( $pageID ), $position );
            }
            if ( $show_current ) echo $sep . $before . get_the_title() . $after;
            elseif ( $show_last_sep ) echo $sep;
        } elseif ( is_tag() ) {
            if ( get_query_var( 'paged' ) ) {
                $position += 1;
                $tagID = get_query_var( 'tag_id' );
                echo $sep . sprintf( $link, get_tag_link( $tagID ), single_tag_title( '', false ), $position );
                echo $sep . $before . sprintf( $text['page'], get_query_var( 'paged' ) ) . $after;
            } else {
                if ( $show_home_link && $show_current ) echo $sep;
                if ( $show_current ) echo $before . sprintf( $text['tag'], single_tag_title( '', false ) ) . $after;
                elseif ( $show_home_link && $show_last_sep ) echo $sep;
            }
        } elseif ( is_author() ) {
            $author = get_userdata( get_query_var( 'author' ) );
            if ( get_query_var( 'paged' ) ) {
                $position += 1;
                echo $sep . sprintf( $link, get_author_posts_url( $author->ID ), sprintf( $text['author'], $author->display_name ), $position );
                echo $sep . $before . sprintf( $text['page'], get_query_var( 'paged' ) ) . $after;
            } else {
                if ( $show_home_link && $show_current ) echo $sep;
                if ( $show_current ) echo $before . sprintf( $text['author'], $author->display_name ) . $after;
                elseif ( $show_home_link && $show_last_sep ) echo $sep;
            }
        } elseif ( is_404() ) {
            if ( $show_home_link && $show_current ) echo $sep;
            if ( $show_current ) echo $before . $text['404'] . $after;
            elseif ( $show_last_sep ) echo $sep;
        } elseif ( has_post_format() && ! is_singular() ) {
            if ( $show_home_link && $show_current ) echo $sep;
            echo get_post_format_string( get_post_format() );
        }
        echo $wrap_after;
    }
}
$matrix_theme_options = matrix_theme_options();
if($matrix_theme_options['portfolio_four_column']){
	add_action('wp_footer','matrix_enqueue_in_footer');
	function matrix_enqueue_in_footer(){
		echo '<style>@media (min-width: 992px) { .wl-gallery{ width:24.9%;} }</style>';
	}
}
/* Update wishlist */
function matrix_update_wishlist_count(){
    if( function_exists( 'YITH_WCWL' ) ){
        wp_send_json( YITH_WCWL()->count_products());
    }
}
add_action( 'wp_ajax_matrix_update_wishlist_count', 'matrix_update_wishlist_count' );
add_action( 'wp_ajax_nopriv_matrix_update_wishlist_count', 'matrix_update_wishlist_count' );

function matrix_get_attachment( $attachment_id ) {

    $attachment = get_post( $attachment_id );
    return array(
        'alt' => get_post_meta( $attachment->ID, '_wp_attachment_image_alt', true ),
        'caption' => $attachment->post_excerpt,
        'description' => $attachment->post_content,
        'href' => get_permalink( $attachment->ID ),
        'src' => $attachment->guid,
        'title' => $attachment->post_title
    );
}

// Add style for dashboard, overlap meta boxes on posts(editor)
add_action('admin_head', 'matrix_metabox_style');
function matrix_metabox_style() {
	echo '<style>
	.block-editor-writing-flow {
	height: auto;}
	</style>';
}